Bug 398911 - (perl-Scope-Guard) Review Request: perl-Scope-Guard - Lexically scoped resource management
Review Request: perl-Scope-Guard - Lexically scoped resource management
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
Depends On:
Blocks: perl-DBIx-Class
  Show dependency treegraph
Reported: 2007-11-25 18:57 EST by Chris Weyl
Modified: 2010-07-09 14:10 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-11-26 13:43:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+

Attachments (Terms of Use)

  None (edit)
Description Chris Weyl 2007-11-25 18:57:26 EST
SRPM URL: http://fedora.biggerontheinside.net/review/perl-Scope-Guard-0.03-1.fc6.src.rpm
SPEC URL: http://fedora.biggerontheinside.net/review/perl-Scope-Guard.spec

This module provides a convenient way to perform cleanup or other forms of
resource management at the end of a scope. It is particularly useful when
dealing with exceptions: the Scope::Guard constructor takes a reference to
a subroutine that is guaranteed to be called even if the thread of
execution is aborted prematurely. This effectively allows lexically-scoped
"promises" to be made that are automatically honoured by perl's garbage
Comment 1 Chris Weyl 2007-11-25 18:58:07 EST
This is a DBIx::Class prereq.
Comment 2 Parag AN(पराग) 2007-11-25 20:44:05 EST
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream.
a33ab0a31d837b94797e61050afff894  Scope-Guard-0.03.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc files present.
+ BuildRequires are proper.
+ defattr usage is correct.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains contents.
+ no static libraries.
+ no .pc file present.
+ no -devel subpackage exists.
+ no .la files.
+ no translations are available.
+ Does owns the directories it creates.
+ no duplicates in %files.
+ file permissions are appropriate.
+ no scriptlets are used.
+ make test output
All tests successful.
Files=3, Tests=10,  0 wallclock secs ( 0.21 cusr +  0.03 csys =  0.24 CPU)
+ Package perl-Scope-Guard-0.03-1.fc9 ->
  Provides: perl(Scope::Guard) = 0.03
+ Not a GUI app.

Comment 3 Chris Weyl 2007-11-26 01:00:41 EST
New Package CVS Request
Package Name: perl-Scope-Guard
Short Description: Lexically scoped resource management
Owners: cweyl
Branches: F-7, F-8, devel
InitialCC: perl-sig
Comment 4 Kevin Fenzi 2007-11-26 12:53:58 EST
cvs done.
Comment 5 Chris Weyl 2007-11-26 13:43:21 EST
Imported and built.  Thanks for the review! :)
Comment 6 Mark Chappell 2010-07-09 06:09:18 EDT
Package Change Request
Package Name: perl-Scope-Guard
New Branches: EL-6
Owners: tremble    

cweyl has previously expressed that he is happy for others to request EPEL branches
Comment 7 Kevin Fenzi 2010-07-09 14:10:19 EDT
CVS done (by process-cvs-requests.py).

Note You need to log in before you can comment on or make changes to this bug.